## Class user_service

zeep::http::user_service — The user service class, provding user data used for authentication.

## Synopsis

    // In header: <zeep/http/security.hpp>

    class user_service {
    public:
      // construct/copy/destruct
      user_service();
      ~user_service();

      // public member functions
      virtual user_details load_user(const std::string &) const = 0;
    };

## Description

This is an abstract base class for a user service.

### `user_service` public construct/copy/destruct

1.     user_service();

2.     ~user_service();

### `user_service` public member functions

1.     virtual user_details load_user(const std::string & username) const = 0;

   return the `user_details` for a user named username